org.apache.storm.rocketmq

## Class RocketMqConfig

- java.lang.Object
- - org.apache.storm.rocketmq.RocketMqConfig

- Direct Known Subclasses:
    SpoutConfig

      public class RocketMqConfig
      extends Object

  RocketMqConfig for Consumer/Producer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BROKER_HEART_BEAT_INTERVAL`
    `static String` | `CONSUMER_BATCH_PROCESS_TIMEOUT`
    `static String` | `CONSUMER_BATCH_SIZE`
    `static String` | `CONSUMER_CALLBACK_EXECUTOR_THREADS`
    `static String` | `CONSUMER_GROUP`
    `static String` | `CONSUMER_MAX_THREADS`
    `static String` | `CONSUMER_MESSAGES_ORDERLY`
    `static String` | `CONSUMER_MIN_THREADS`
    `static String` | `CONSUMER_OFFSET_EARLIEST`
    `static String` | `CONSUMER_OFFSET_FROM_TIMESTAMP`
    `static String` | `CONSUMER_OFFSET_LATEST`
    `static String` | `CONSUMER_OFFSET_PERSIST_INTERVAL`
    `static String` | `CONSUMER_OFFSET_RESET_TO`
    `static String` | `CONSUMER_OFFSET_TIMESTAMP`
    `static String` | `CONSUMER_TAG`
    `static String` | `CONSUMER_TOPIC`
    `static int` | `DEFAULT_BROKER_HEART_BEAT_INTERVAL`
    `static int` | `DEFAULT_CONSUMER_BATCH_SIZE`
    `static int` | `DEFAULT_CONSUMER_CALLBACK_EXECUTOR_THREADS`
    `static int` | `DEFAULT_CONSUMER_MAX_THREADS`
    `static int` | `DEFAULT_CONSUMER_MIN_THREADS`
    `static int` | `DEFAULT_CONSUMER_OFFSET_PERSIST_INTERVAL`
    `static String` | `DEFAULT_CONSUMER_TAG`
    `static int` | `DEFAULT_NAME_SERVER_POLL_INTERVAL`
    `static int` | `DEFAULT_PRODUCER_RETRY_TIMES`
    `static int` | `DEFAULT_PRODUCER_TIMEOUT`
    `static String` | `NAME_SERVER_ADDR`
    `static String` | `NAME_SERVER_POLL_INTERVAL`
    `static String` | `PRODUCER_GROUP`
    `static String` | `PRODUCER_RETRY_TIMES`
    `static String` | `PRODUCER_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RocketMqConfig()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `buildCommonConfigs(Properties props, org.apache.rocketmq.client.ClientConfig client)` Build Common Configs.
    `static void` | `buildConsumerConfigs(Properties props, org.apache.rocketmq.client.consumer.DefaultMQPushConsumer consumer)` Build Consumer Configs.
    `static void` | `buildProducerConfigs(Properties props, org.apache.rocketmq.client.producer.DefaultMQProducer producer)` Build Producer Configs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME_SERVER_ADDR

          public static final String NAME_SERVER_ADDR

      See Also:
        Constant Field Values

    - #### NAME_SERVER_POLL_INTERVAL

          public static final String NAME_SERVER_POLL_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_NAME_SERVER_POLL_INTERVAL

          public static final int DEFAULT_NAME_SERVER_POLL_INTERVAL

      See Also:
        Constant Field Values

    - #### BROKER_HEART_BEAT_INTERVAL

          public static final String BROKER_HEART_BEAT_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_BROKER_HEART_BEAT_INTERVAL

          public static final int DEFAULT_BROKER_HEART_BEAT_INTERVAL

      See Also:
        Constant Field Values

    - #### PRODUCER_GROUP

          public static final String PRODUCER_GROUP

      See Also:
        Constant Field Values

    - #### PRODUCER_RETRY_TIMES

          public static final String PRODUCER_RETRY_TIMES

      See Also:
        Constant Field Values

    - #### DEFAULT_PRODUCER_RETRY_TIMES

          public static final int DEFAULT_PRODUCER_RETRY_TIMES

      See Also:
        Constant Field Values

    - #### PRODUCER_TIMEOUT

          public static final String PRODUCER_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_PRODUCER_TIMEOUT

          public static final int DEFAULT_PRODUCER_TIMEOUT

      See Also:
        Constant Field Values

    - #### CONSUMER_GROUP

          public static final String CONSUMER_GROUP

      See Also:
        Constant Field Values

    - #### CONSUMER_TOPIC

          public static final String CONSUMER_TOPIC

      See Also:
        Constant Field Values

    - #### CONSUMER_TAG

          public static final String CONSUMER_TAG

      See Also:
        Constant Field Values

    - #### DEFAULT_CONSUMER_TAG

          public static final String DEFAULT_CONSUMER_TAG

      See Also:
        Constant Field Values

    - #### CONSUMER_OFFSET_RESET_TO

          public static final String CONSUMER_OFFSET_RESET_TO

      See Also:
        Constant Field Values

    - #### CONSUMER_OFFSET_LATEST

          public static final String CONSUMER_OFFSET_LATEST

      See Also:
        Constant Field Values

    - #### CONSUMER_OFFSET_EARLIEST

          public static final String CONSUMER_OFFSET_EARLIEST

      See Also:
        Constant Field Values

    - #### CONSUMER_OFFSET_TIMESTAMP

          public static final String CONSUMER_OFFSET_TIMESTAMP

      See Also:
        Constant Field Values

    - #### CONSUMER_OFFSET_FROM_TIMESTAMP

          public static final String CONSUMER_OFFSET_FROM_TIMESTAMP

      See Also:
        Constant Field Values

    - #### CONSUMER_MESSAGES_ORDERLY

          public static final String CONSUMER_MESSAGES_ORDERLY

      See Also:
        Constant Field Values

    - #### CONSUMER_OFFSET_PERSIST_INTERVAL

          public static final String CONSUMER_OFFSET_PERSIST_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_CONSUMER_OFFSET_PERSIST_INTERVAL

          public static final int DEFAULT_CONSUMER_OFFSET_PERSIST_INTERVAL

      See Also:
        Constant Field Values

    - #### CONSUMER_MIN_THREADS

          public static final String CONSUMER_MIN_THREADS

      See Also:
        Constant Field Values

    - #### DEFAULT_CONSUMER_MIN_THREADS

          public static final int DEFAULT_CONSUMER_MIN_THREADS

      See Also:
        Constant Field Values

    - #### CONSUMER_MAX_THREADS

          public static final String CONSUMER_MAX_THREADS

      See Also:
        Constant Field Values

    - #### DEFAULT_CONSUMER_MAX_THREADS

          public static final int DEFAULT_CONSUMER_MAX_THREADS

      See Also:
        Constant Field Values

    - #### CONSUMER_CALLBACK_EXECUTOR_THREADS

          public static final String CONSUMER_CALLBACK_EXECUTOR_THREADS

      See Also:
        Constant Field Values

    - #### DEFAULT_CONSUMER_CALLBACK_EXECUTOR_THREADS

          public static final int DEFAULT_CONSUMER_CALLBACK_EXECUTOR_THREADS

    - #### CONSUMER_BATCH_SIZE

          public static final String CONSUMER_BATCH_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_CONSUMER_BATCH_SIZE

          public static final int DEFAULT_CONSUMER_BATCH_SIZE

      See Also:
        Constant Field Values

    - #### CONSUMER_BATCH_PROCESS_TIMEOUT

          public static final String CONSUMER_BATCH_PROCESS_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RocketMqConfig

          public RocketMqConfig()

  - ### Method Detail

    - #### buildProducerConfigs

          public static void buildProducerConfigs(Properties props,
                                                  org.apache.rocketmq.client.producer.DefaultMQProducer producer)

      Build Producer Configs.

      Parameters:
        `props` - Properties
        `producer` - DefaultMQProducer

    - #### buildConsumerConfigs

          public static void buildConsumerConfigs(Properties props,
                                                  org.apache.rocketmq.client.consumer.DefaultMQPushConsumer consumer)

      Build Consumer Configs.

      Parameters:
        `props` - Properties
        `consumer` - DefaultMQPushConsumer

    - #### buildCommonConfigs

          public static void buildCommonConfigs(Properties props,
                                                org.apache.rocketmq.client.ClientConfig client)

      Build Common Configs.

      Parameters:
        `props` - Properties
        `client` - ClientConfig

Copyright © 2021 The Apache Software Foundation. All rights reserved.